|  | Home |

# QMailTransmitAction Class Reference

The QMailTransmitAction class provides the interface for transmitting messages to external message services. More...

        #include <QMailTransmitAction>

This class is under development and is subject to change.

Inherits QMailServiceAction.

- List of all members, including inherited members

## Public Functions

| QMailTransmitAction ( QObject * parent = 0 )

- 4 public functions inherited from QMailServiceAction
- 29 public functions inherited from QObject

## Public Slots

void | transmitMessages ( const QMailAccountId & accountId )

- 1 public slot inherited from QMailServiceAction
- 1 public slot inherited from QObject

## Signals

void | messagesFailedTransmission ( const QMailMessageIdList & ids, QMailServiceAction::Status::ErrorCode error )
void | messagesTransmitted ( const QMailMessageIdList & ids )

- 4 signals inherited from QMailServiceAction
- 1 signal inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public type inherited from QObject
- 4 static public members inherited from QObject
- 2 protected functions inherited from QMailServiceAction
- 7 protected functions inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

The QMailTransmitAction class provides the interface for transmitting messages to external message services.

QMailSearchAction provides the mechanism for messaging clients to request that the message server transmit messages to external services. The transmit action object reports on the progress and outcome of its activities via the signals inherited from QMailServiceAction.

The send() slot requests that the message server transmit each identified message to the external service associated with each messages' account.

Note: the slots exported by QMailTransmitAction are expected to change in future releases, as the message server is extended to provide a finer-grained interface for message transmission.

## Member Function Documentation

### QMailTransmitAction::QMailTransmitAction ( QObject * parent = 0 )

Constructs a new transmit action object with the supplied parent.

### void QMailTransmitAction::messagesFailedTransmission ( const QMailMessageIdList & ids, QMailServiceAction::Status::ErrorCode error ) `[signal]`

This signal is emitted to report the failure of an attempt at transmission of the messages listed in ids.

The failure is of type error.

### void QMailTransmitAction::messagesTransmitted ( const QMailMessageIdList & ids ) `[signal]`

This signal is emitted to report the successful transmission of the messages listed in ids.

### void QMailTransmitAction::transmitMessages ( const QMailAccountId & accountId ) `[slot]`

Requests that the message server transmit each message belonging to the account identified by accountId that is currently scheduled for transmission (located in the Outbox folder).

Any message successfully transmitted will be moved to the account's Sent folder.